Package io.github.jdbcx

# Interface JdbcActivityListener

All Known Implementing Classes:
  `DefaultActivityListener`, `VersionDriverExtension`

public interface JdbcActivityListener

## Method Summary

Modifier and Type
Method
Description
`default void`
`onError(SQLException exception)`
`default DatabaseMetaData`
`onMetaData(DatabaseMetaData metaData)`
`default ParameterMetaData`
`onMetaData(ParameterMetaData metaData)`
`default ResultSetMetaData`
`onMetaData(ResultSetMetaData metaData)`
`default Result<?>`
`onQuery(String query)`
`default String`
`onQuery(PreparedStatement statement, String query)`
`default Result<?>`
`onResult(Result<?> rs)`

## Method Details

### onMetaData

default DatabaseMetaData onMetaData(DatabaseMetaData metaData)

### onMetaData

default ParameterMetaData onMetaData(ParameterMetaData metaData)

### onMetaData

default ResultSetMetaData onMetaData(ResultSetMetaData metaData)

### onQuery

default Result<?> onQuery(String query) throws SQLException

Throws:
  `SQLException`

### onQuery

default String onQuery(PreparedStatement statement, String query) throws SQLException

Throws:
  `SQLException`

### onResult

default Result<?> onResult(Result<?> rs) throws SQLException

Throws:
  `SQLException`

### onError

default void onError(SQLException exception) throws SQLException

Throws:
  `SQLException`